rledecompress.h File Reference
`#include <types.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | RLE_STOP 0

## Functions

uint8_t | rle_init (void *data)
uint8_t | rle_decompress (void *dest, uint8_t len)

## Detailed Description

Decompressor for RLE encoded data

Decompresses data which has been compressed with gbcompress using the `--alg=rle` argument.

## Macro Definition Documentation

## RLE_STOP

#define RLE_STOP 0

## Function Documentation

## rle_init()

uint8_t rle_init | ( | void * | data | ) |

Initialize the RLE decompressor with RLE data at address data

Parameters

  data | Pointer to start of RLE compressed data

See also
  rle_decompress

## rle_decompress()

uint8_t rle_decompress | ( | void * | dest,
|  | uint8_t | len
| ) |  |

Decompress RLE compressed data into dest for length len bytes

Parameters

  dest | Pointer to destination buffer/address
  len | Number of bytes to decompress

Returns
  Returns `0` if compression is complete, `1` if there is more data to decompress

Before calling this function rle_init must be called one time to initialize the RLE decompressor.

Decompresses data which has been compressed with gbcompress using the `--alg=rle` argument.

See also
  rle_init